/* structures and definitions used by users.c & userrec.c */

/* fake users used to store ignores and bans */
#define IGNORE_NAME "*ignore"
#define BAN_NAME    "*ban"

/* new-style userlist */
struct userrec {
  char handle[10];
  struct eggqueue *host;
  char pass[10];
  unsigned int flags;
  time_t laston;
  struct userrec *next;
  char *email;
  char *dccdir;
  char *comment;
  char *info;
  char *xtra;    /* for use in Tcl scripts */
};

/* flags are in eggdrop.h */

#ifndef _USERREC
struct userrec *adduser();
struct userrec *get_user_by_handle();
struct userrec *get_user_by_host();
#endif
#ifndef _CHAN
struct userrec *check_chanlist();
struct userrec *check_chanlist_hand();
#endif
